#!/bin/sh
# -*- mode: sh; tab-width: 8; coding: utf-8-unix -*-

prog=$( basename $0 .bash )
PREFIX=/var/local
ROLE=base
. /usr/local/etc/testforge/testforge.bash || exit 1
. /usr/local/bin/usr_local_base.bash || exit 2

USAGE="$0 file"
#echo 1
[ $# -ge 1 ] || { ERROR $prog "#=$#" ; exit 3 ; }

BOX_OS_FLAVOR=`/usr/local/sbin/gentoo_hosts_json.bash` || exit 4$?

# "BOX_PYTHON3_MINOR": "3.10"
PYTHON3_VER=`grep BOX_PYTHON3_MINOR <$json|sed -e 's/.*\.//' -e 's/,//' -e 's/"//'`

# failsafe
# /mnt/o/data/TestForge/src/ansible/roles/base/overlay/Gentoo/usr/local/sbin/gentoo_etc_portage.bash
for file in $* ; do
    [ -f $file ] || { WARN $file is not a file ; continue ; }
    sed -i $file \
	-e "s/python_single_target_python3_[0-9]*/python_single_target_python3_$PYTHON3_VER/" \
	-e "s/python_targets_python3_[0-9]*/python_targets_python3_$PYTHON3_VER/"
    done

